## org.apache.myfaces.renderkit.html
Class HtmlButtonRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlButtonRendererBase
                  org.apache.myfaces.renderkit.html.HtmlButtonRenderer

public class HtmlButtonRenderer
extends HtmlButtonRendererBase

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Constructor Summary
`HtmlButtonRenderer()`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlButtonRendererBase
`buildOnClick, decode, encodeEnd, isDisabled`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlButtonRenderer

    public HtmlButtonRenderer()